#
# spec file for package golang
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global provider        github
%global provider_tld    com
%global project         dchest
%global repo            authcookie
%global provider_prefix %{provider}.%{provider_tld}/%{project}/%{repo}
%global import_path     %{provider_prefix}

Name:           golang-%{provider}-%{project}-%{repo}
Version:        0.0.0+git20120917.fbdef6e
Release:        3.1
Summary:        Creation and verification of signed authentication cookies
License:        MIT
Group:          Development/Languages/Golang
Url:            https://%{provider_prefix}
Source0:        %{repo}-%{version}.tar.xz
Source1:        rpmlintrc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  golang-packaging
BuildRequires:  xz

%{go_nostrip}
%{go_provides}

%description
Package authcookie implements the creation and verification of signed
authentication cookies.

%prep
%setup -q -n %{repo}-%{version}

%build
%goprep %{import_path}
%gobuild ...

%install
%goinstall
%gosrc
%gofilelist

%check
%gotest %{import_path}...

%files -f file.lst
%defattr(-,root,root,-)
%doc README.md LICENSE

%changelog
* Wed Dec  7 2016 tboerger@suse.com
- Refactoring based on new packaging proposal
* Sun Apr  3 2016 i@marguerite.su
- add xz dependency for SLE
* Sat Jul 25 2015 i@marguerite.su
- rename to golang-github-dchest-authcookie
- use golang-packaging for packaging
* Tue Aug 13 2013 speilicke@suse.com
- Update to version 0.0.0+git20120917.fbdef6e:
  + Upstream provides no changelog
- Use _service file
* Tue Aug 13 2013 speilicke@suse.com
- Use %%go_exclusivearch macro
* Wed Jan 25 2012 graham@andtech.eu
- Pass hash to hmac.New instead of using NewSHA256
- Update to weekly.2012-01-20
* Tue Dec 13 2011 saschpe@suse.de
- Adjust to Go weekly.2011-12-02 release changes
* Tue Jun 14 2011 saschpe@gmx.de
- Disabled testsuite on Mandriva to fix build errors
* Tue Jun 14 2011 saschpe@gmx.de
- Initial version
